+关注
已关注

分类  

暂无分类

标签  

暂无标签

日期归档  

2019-08(90)

2019-09(95)

2019-10(11)

2019-11(6)

2019-12(7)

scores[i] = sess.run([score_func], feed_dict={image_placeholder: img_resize})[0] ValueError: set

发布于2020-09-30 06:42     阅读(560)     评论(0)     点赞(16)     收藏(3)


0

1

2

3

4

5

TypeError: only size-1 arrays can be converted to Python scalars

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/data/code_ytw/photo-composition-master/vfn_eval.py", line 163, in <module>
    score=evaluate_aesthetics_score(200)
  File "/data/code_ytw/photo-composition-master/vfn_eval.py", line 105, in evaluate_aesthetics_score
    scores[i] = sess.run([score_func], feed_dict={image_placeholder: img_resize})[0]
ValueError: setting an array element with a sequence.

 

本人不熟悉tensorflow,看不懂为啥错

 

 

出现这个问题前,说我的数据类型不匹配(200,227,227,3),然后我随机生成一个(200,227,227,3)的np数组,报错如此,不知何故。有问题代码如此

 

修改后,可以用了

 

希望大佬指导

原文链接:https://blog.csdn.net/qq_41134990/article/details/108843300

0

1

2

3

4

5



所属网站分类: 技术文章 > 博客

作者:hehrie83489

链接: https://www.pythonheidong.com/blog/article/554212/bdb4b7ffb44a1ada214e/

来源: python黑洞网

任何形式的转载都请注明出处,如有侵权 一经发现 必将追究其法律责任

16 0
收藏该文
已收藏

评论内容:(最多支持255个字符)